IJoueur

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## chkoba
Interface IJoueur

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  JoueurAImpl, JoueurImpl, JoueurMImpl

    public interface IJoueur

extends java.rmi.Remote

Interface Joueur

Method Summary
`java.lang.String` | `affiche()` AFFICHAGE
`void` | `ajoutePlis(java.util.ArrayList<ICarte> array)`
`void` | `chkoba()`
`int` | `compareTo(java.lang.Object j)`
`int` | `compteCarreaux()`
`void` | `comptePoint()`
`int` | `compteSept()`
`int` | `compteSix()`
`int` | `getChkoba()`
`boolean` | `getFait()`
`IMain` | `getMain()`
`java.lang.String` | `getNom()`
`java.util.ArrayList<ICarte>` | `getPlis()`
`int` | `getPoint()`
`boolean` | `getPris()`
`int` | `getTaillePlis()`
`void` | `jouer(IPlateau p)` METHODES
`boolean` | `mainEstVide()`
`boolean` | `septCarreau()`
`void` | `setFait()`
`void` | `setNom(java.lang.String s)`
`void` | `setPris()` ACCESSEURS
`void` | `setVide(boolean b)`

Method Detail

### jouer

    void jouer(IPlateau p)
               throws java.rmi.RemoteException

  METHODES

  Throws:
    `java.rmi.RemoteException`

### chkoba

    void chkoba()
                throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### compteCarreaux

    int compteCarreaux()
                       throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### compteSept

    int compteSept()
                   throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### compteSix

    int compteSix()
                  throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### septCarreau

    boolean septCarreau()
                        throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### comptePoint

    void comptePoint()
                     throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### ajoutePlis

    void ajoutePlis(java.util.ArrayList<ICarte> array)
                    throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### compareTo

    int compareTo(java.lang.Object j)
                  throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setPris

    void setPris()
                 throws java.rmi.RemoteException

  ACCESSEURS

  Throws:
    `java.rmi.RemoteException`

### setVide

    void setVide(boolean b)
                 throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setNom

    void setNom(java.lang.String s)
                throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setFait

    void setFait()
                 throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getFait

    boolean getFait()
                    throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### mainEstVide

    boolean mainEstVide()
                        throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getPris

    boolean getPris()
                    throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getMain

    IMain getMain()
                  throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getNom

    java.lang.String getNom()
                            throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getChkoba

    int getChkoba()
                  throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getPlis

    java.util.ArrayList<ICarte> getPlis()
                                        throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getTaillePlis

    int getTaillePlis()
                      throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getPoint

    int getPoint()
                 throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### affiche

    java.lang.String affiche()
                             throws java.rmi.RemoteException

  AFFICHAGE

  Throws:
    `java.rmi.RemoteException`

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD